%global pypi_name plumbum

Name:           python-%{pypi_name}
Version:        1.7.2
Release:    1%{?dist}
Summary:        Shell combinators library

License:        MIT
URL:            https://github.com/tomerfiliba/plumbum
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-setuptools_scm+toml

%global _description\
Ever wished the wrist-handiness of shell scripts be put into a real programming\
language? Say hello to Plumbum Shell Combinators. Plumbum (Latin for lead,\
which was used to create pipes back in the day) is a small yet feature-rich\
library for shell script-like programs in Python. The motto of the library is\
"Never write shell scripts again", and thus it attempts to mimic the shell\
syntax ("shell combinators") where it makes sense, while keeping it all\
pythonic and cross-platform.

%description %_description


%package -n python3-%{pypi_name}
Summary:        Shell combinators library
Requires:       python3-six

%description -n python3-%{pypi_name}
Ever wished the wrist-handiness of shell scripts be put into a real programming
language? Say hello to Plumbum Shell Combinators. Plumbum (Latin for lead,
which was used to create pipes back in the day) is a small yet feature-rich
library for shell script-like programs in Python. The motto of the library is
"Never write shell scripts again", and thus it attempts to mimic the shell
syntax ("shell combinators") where it makes sense, while keeping it all
pythonic and cross-platform.

%prep
%setup -q -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%{py3_build}

%install
%{py3_install}


%files -n python3-%{pypi_name}
%doc LICENSE README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Oct 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.2-1
- initial build
